package com.zzwtec.third.model.basedata.dto;

/**
 * Created by Xin.L on 2017/8/24.
 */
public class BuildODTO {
    /**
     * 管理员登录token
     */
    private String token;
    /**
     * 小区ID
     */
    private String communityId;
    /**
     * 楼栋id
     */
    private String buildId;
    // 楼栋名称
    /**
     * 楼栋名称
     */
    private String name;
    /**
     * 楼栋编号 4位，如：0001
     */
    private String num;
    /**
     * 楼栋地址
     */
    private String address;
    /**
     * 楼栋纬度，赋默认值0，否则copyProperties报错
     */
    private Double latitude = 0d;
    /**
     * 楼栋经度
     */
    private Double longitude = 0d;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getBuildId() {
        return buildId;
    }

    public void setBuildId(String buildId) {
        this.buildId = buildId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("BuildODTO{");
        sb.append("token='").append(token).append('\'');
        sb.append(", communityId='").append(communityId).append('\'');
        sb.append(", buildId='").append(buildId).append('\'');
        sb.append(", name='").append(name).append('\'');
        sb.append(", num='").append(num).append('\'');
        sb.append(", address='").append(address).append('\'');
        sb.append(", latitude=").append(latitude);
        sb.append(", longitude=").append(longitude);
        sb.append('}');
        return sb.toString();
    }
}
